Skip to main content
PATCH
/
v1
/
phone-number
/
{phoneNumber}
Update Phone Number
curl --request PATCH \
  --url https://api.sigmamind.ai/v1/phone-number/{phoneNumber} \
  --header 'Content-Type: application/json' \
  --header 'X-API-Key: <api-key>' \
  --data '
{
  "friendlyName": "Support Line",
  "inboundAgentId": "awTw7UKhOsLGiDbt",
  "outboundAgentId": "awTw7UKhOsLGiDbt",
  "terminationSipUri": "sip.telnyx.com",
  "sipTrunkName": "Primary Trunk",
  "trunkUsername": "sip_user_01",
  "trunkPassword": "P@ssw0rd123"
}
'
{
  "sipPhoneNumber": "+14155552671",
  "provider": "twilio",
  "inboundAgentId": "D5D0p7TUs66TTAEAx",
  "outboundAgentId": "D5D0p7TUs66TTAEAx",
  "outboundPhoneNumber": "+14155552671",
  "active": true,
  "friendlyName": "Support Line - US"
}

Authorizations

X-API-Key
string
header
required

API Key is required in header. You can find it in the settings

Path Parameters

phoneNumber
string
required

The caller’s phone number in E.164 format

Body

application/json
friendlyName
string

A user-friendly label for the phone number.

Example:

"Support Line"

inboundAgentId
string

The inbound AI agent ID associated with this phone number.

Example:

"awTw7UKhOsLGiDbt"

outboundAgentId
string

The outbound AI agent ID associated with this phone number.

Example:

"awTw7UKhOsLGiDbt"

terminationSipUri
string

The SIP URI for terminating calls, provided by the telecom provider.

Example:

"sip.telnyx.com"

sipTrunkName
string

The name of the SIP trunk associated with this phone number.

Example:

"Primary Trunk"

trunkUsername
string

The username used for authenticating with the SIP trunk.

Example:

"sip_user_01"

trunkPassword
string

The password used for authenticating with the SIP trunk.

Example:

"P@ssw0rd123"

Response

OK

Phone number details of the caller

sipPhoneNumber
string

The caller’s phone number in E.164 format. This number must be obtained from SigmaMind or configured using SIP trunking with SigmaMind.

Example:

14155552671

provider
enum<string>

The service provider associated with the phone number.

Available options:
twilio, telnyx, byo
Example:

"twilio"

inboundAgentId
string

Default agent ID assigned to handle inbound calls for this phone number.

Example:

"D5D0p7TUs66TTAEAx"

outboundAgentId
string

Default agent ID assigned to handle outbound calls for this phone number.

Example:

"D5D0p7TUs66TTAEAx"

outboundPhoneNumber
string

The default outbound phone number of the callee, represented in E.164 format

Example:

14155552671

active
boolean

Indicates whether the phone number is currently active and available for use.

Example:

true

terminationSipURI
string

The SIP URI of the phone number, provided by the service provider for call termination.

Example:

"sip.telnyx.com"

friendlyName
string

A user-friendly display name assigned to this phone number.

Example:

"Support Line - US"